wxRuby Documentation Home

# Wx::LogStderr

This class can be used to redirect the log messages to a C file stream (not to
be confused with C++ streams). It is the default log target for the non-GUI
Widgets applications which send all the output to `stderr`.

## Derived from

Log

## See also

LogStream

## Methods

- LogStderr.new

### LogStderr.new

LogStderr.new(%(arg-type)FILE% fp = nil)

Constructs a log target which sends all the log messages to the given
`FILE`. If it is `NULL`, the messages are sent to `stderr`.

[This page automatically generated from the Textile source at 2023-06-09 00:45:25 +0000]